Bug 1313769 - [RFE] User can not enter the abort comment and didn't receive an email about the process is aborted.
[RFE] User can not enter the abort comment and didn't receive an email about ...
Status: NEW
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.1.0
Unspecified Unspecified
medium Severity high
: ---
: ---
Assigned To: Shelly McGowan
Lukáš Petrovický
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-02 05:22 EST by yuli wang
Modified: 2016-12-12 08:45 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description yuli wang 2016-03-02 05:22:38 EST
Description of problem:
User A abort a process created by userB,
  1) User A cannot input the abort reason, no textbox available.
  2) After userA abort userB's process, No notification to userB.

Version-Release number of selected component (if applicable):
6.1.0

How reproducible:
100%

Steps to Reproduce:
1. UserB created a process in 2015.
2. Process admin userA go to the active process list to check the expired process. then abort the process created by userB in 2015.

Actual results:
1. UserA can abort userB's process without any comment. 
2. No email notification to userB, userB don't know the process is aborted.

Expected results:
1. UseA can input the abort reason when abort any process.
2. There is email notification to user and aborter about the process is aborted.

Additional info:
Comment 2 Marco Rietveld 2016-03-02 09:02:37 EST
Yuli, please provide a BPMN2 process definition that we can reproduce this with.
Comment 3 cory 2016-03-04 03:30:47 EST
Hi mriet
I try to explain it.
For example ,
If i start a process , then you as admin want to abort it.
But, you abort my process , i can not get any information, like who abort my process, why abort my process, What do I do next?

I think yuli means, we can add one feature , when use want to abort process, need input some comment, the comment can be show in process instance detail page.

We can get the comment (as a parameter of process instance ) in  abort event of process listener, then we can send a email to somebody.
Comment 4 cory 2016-03-04 03:54:41 EST
(In reply to Marco Rietveld from comment #2)
> Yuli, please provide a BPMN2 process definition that we can reproduce this
> with.

Hi mriet
I try to explain it.
For example ,
If i start a process , then you as admin want to abort it.
But, you abort my process , i can not get any information, like who abort my process, why abort my process, What do I do next?

I think yuli means, we can add one feature , when use want to abort process, need input some comment, the comment can be show in process instance detail page.

We can get the comment (as a parameter of process instance ) in  abort event of process listener, then we can send a email to somebody.
Comment 6 yuli wang 2016-12-12 08:45:08 EST
comments provided by Cory.

Note You need to log in before you can comment on or make changes to this bug.